Page MenuHomeVyOS Platform

LTE interface dosen't come up
Closed, ResolvedPublicBUG

Description

This issue found and initially submitted in VyOs forum very detailed and link is given below.

https://forum.vyos.io/t/inconsistency-in-wirelessmodem-wlm-interface-behavior-could-be-bug/1492

When we configure LTE (ppp) interface wlmX, and try to bring up the interface doesn't come up. The root cause is the PPP commands script generation by the CLI frame for wlmX interface has a bug.

This is fixed and generating this bug to submit the fix.

Details

Difficulty level
Normal (likely a few hours)
Version
heilum
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible
Issue type
Bug (incorrect behavior)

Event Timeline

I could see that T656 was already created, as a result of https://forum.vyos.io/t/inconsistency-in-wirelessmodem-wlm-interface-behavior-could-be-bug/1492.

However, T656 also wanted to fix a few other items. Perhaps, we can just fix the interface naming issue alone as part of this issue, and use T656 for other issues. The fix proposed by Subbu will make pppd to create the interface with wlm0 in the very first attempt, rather than the existing model of having pppd create the interface as ppp0 and then use the 0003_rename-wirelessmodem to change the name, thereby leaving pppd in an inconsistent state

nuviso@ubuntu:~/vyos/build-iso/pkgs/vyatta-wirelessmodem$ cat 0001-T701-LTE-interface-dosen-t-come-up.patch
From 00a04474535ec0eb2b17fe1d4368abff7f3aae46 Mon Sep 17 00:00:00 2001
From: Subramonia Pillai <subbu@nuviso.com>
Date: Wed, 20 Jun 2018 10:57:53 +0530
Subject: [PATCH] T701: LTE interface dosen't come up


templates-cfg/interfaces/wirelessmodem/node.def | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/templates-cfg/interfaces/wirelessmodem/node.def b/templates-cfg/interfaces/wirelessmodem/node.def
index 69d44fc..f185b93 100644

  • a/templates-cfg/interfaces/wirelessmodem/node.def

+++ b/templates-cfg/interfaces/wirelessmodem/node.def
@@ -60,7 +60,7 @@ end: if [ -f /var/run/ppp-$VAR(@).pid ]; then

echo -e "lcp-echo-failure 0\n115200" >> $tmpfile;
echo -e "debug\nnodefaultroute\nipcp-max-failure 4" >> $tmpfile;
echo -e "ipcp-accept-local\nipcp-accept-remote\nnoauth\ncrtscts" >> $tmpfile;
  • echo -e "lock\npersist\nlinkname $linkname" >> $tmpfile;

+ echo -e "lock\npersist\nlinkname $linkname\nifname $linkname" >> $tmpfile;

if [ -n "$VAR(./network/@)" ]; then
  network=$VAR(./network/@);

1.9.1

syncer triaged this task as Normal priority.Jun 20 2018, 3:09 PM
syncer removed projects: VyOS 2.0.x, VyOS 1.1.x.

Forum says issue is fixed. Also WWAN underwent a major rewrite - should be all good now.

c-po set Is it a breaking change? to Unspecified (possibly destroys the router).
dmbaturin set Issue type to Bug (incorrect behavior).Sep 3 2021, 12:06 PM
dmbaturin changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.